how fix error vmware on fedora 25 ?!
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 8 of 8
  1. #1
    Join Date
    Apr 2011
    Location
    Iran
    Posts
    63

    how fix error vmware on fedora 25 ?!

    hi
    i cant run vmware on fedora 25 how fix this error ?


    log massage :
    http://pastebin.com/M2yvNKSF

  2. #2
    Join Date
    Dec 2012
    Location
    santa barbara, CA
    Posts
    1,097

    Re: how fix error vmware on fedora 25 ?!

    "Failed to build vmnet. Failed to execute the build command."

    seems that vmware is trying to build its kernel module, but can't.

    You need to install the following packages into your Fedora:

    run this as root:
    dnf install make kernel-devel dkms gcc automake autoconf xorg-x11-drv-vmware open-vm-tools kernel-headers

    and then try again what you were trying to do.

  3. #3
    Join Date
    Apr 2011
    Location
    Iran
    Posts
    63

    Re: how fix error vmware on fedora 25 ?!

    Quote Originally Posted by bobx001
    "Failed to build vmnet. Failed to execute the build command."

    seems that vmware is trying to build its kernel module, but can't.

    You need to install the following packages into your Fedora:

    run this as root:
    dnf install make kernel-devel dkms gcc automake autoconf xorg-x11-drv-vmware open-vm-tools kernel-headers

    and then try again what you were trying to do.
    Code:
    [sajjad@localhost ~] $ su
    Password: 
    [root@localhost sajjad] #  dnf install make kernel-devel dkms gcc automake autoconf xorg-x11-drv-vmware open-vm-tools kernel-headers
    Last metadata expiration check: 0:59:15 ago on Sat Feb 18 03:14:45 2017.
    Package make-1:4.1-5.fc24.x86_64 is already installed, skipping.
    Package dkms-2.3-1.20161202gitde1dca9.fc25.noarch is already installed, skipping.
    Package gcc-6.3.1-1.fc25.x86_64 is already installed, skipping.
    Package automake-1.15-7.fc25.noarch is already installed, skipping.
    Package autoconf-2.69-22.fc24.noarch is already installed, skipping.
    Package xorg-x11-drv-vmware-13.0.2-8.20150211git8f0cf7c.fc21.x86_64 is already installed, skipping.
    Package open-vm-tools-10.0.5-7.fc25.x86_64 is already installed, skipping.
    Dependencies resolved.
    Nothing to do.
    Complete!
    [root@localhost sajjad] #
    not fixed plz help ?

  4. #4
    Join Date
    Mar 2012
    Location
    München, Deutschland
    Posts
    897

    Question Re: how fix error vmware on fedora 25 ?!



    sajjad, it said to you in plain English: See log file /tmp/vmware-root/vmware-6048.log for details.

    Please, attach here vmware-6048.log, will ya?

    _nobody_

  5. #5
    Join Date
    Dec 2012
    Location
    santa barbara, CA
    Posts
    1,097

    Re: how fix error vmware on fedora 25 ?!

    Sajjad, pls attach the logfile /tmp/vmware-root/vmware-6048.log here , instead of using "quick reply", use the proper "POST REPLY" button, that gives you more choices, to attach a file.

    Question to you, have you ever tried VirtualBox ? I find it much better than VMware. (and it's free).
    And much easier to install. (just 2 steps).

  6. #6
    Join Date
    Apr 2011
    Location
    Iran
    Posts
    63

    Re: how fix error vmware on fedora 25 ?!

    i want install iAtkos M - MacOS 10.9 Mavericks on vmware .(not install on virtualbox!)
    log file attached :
    Attached Files Attached Files

  7. #7
    Join Date
    Apr 2011
    Location
    Iran
    Posts
    63

    Re: how fix error vmware on fedora 25 ?!

    working fine after patch modules guid from link :
    https://bugfixes.promisedev.com/
    http://rglinuxtech.com/?p=1914
    Code:
    / *************************************************
    VMWare kernel >= 4.9 Unofficial patch script by D7X
    (Fixes the VMWare vmnet / vmmon failed issue on kernel 4.9)
    
    See log file /tmp/vmware-root/vmware-2469.log for details.
    Steps:
    
    1) Install vmware on kernel >= 4.9 using VMWare bundle script
    2) Run this script (chmod +x vmw_patch.sh; ./vmw_patch.sh)
    
    Tested on 4.9.0-kali1-amd64:
    Linux version 4.9.0-kali1-amd64 (devel@kali.org) (gcc version 6.3.0 20170124 (Debian 6.3.0-5) ) #1 SMP Debian 4.9.6-3kali2 (2017-01-30)
    
    ADDITIONAL INFORMATION:
    Fixes the vmnet/vmmon failure on kernel 4.9 where VMWare failes to start services and prompts an error message similar to this:
    Unable to start services. See log file /tmp/vmware-root/vmware-3823.log for details.
    
    #tail /tmp/vmware-root/vmware-2469.log
    2017-02-17T01:19:22.285+02:00| vthread-4| I125: Setting destination path for vmmon to "/lib/modules/4.9.0-kali1-amd64/misc/vmmon.ko".
    2017-02-17T01:19:22.285+02:00| vthread-4| I125: Extracting the vmmon source from "/usr/lib/vmware/modules/source/vmmon.tar".
    2017-02-17T01:19:22.293+02:00| vthread-4| I125: Successfully extracted the vmmon source.
    2017-02-17T01:19:22.293+02:00| vthread-4| I125: Building module with command "/usr/bin/make -j8 -C /tmp/modconfig-EeQ71K/vmmon-only auto-build HEADER_DIR=/lib/modules/4.9.0-kali1-amd64/build/include CC=/usr/bin$
    2017-02-17T01:19:23.687+02:00| vthread-4| W115: Failed to build vmmon. Failed to execute the build command.
    2017-02-17T01:19:23.688+02:00| vthread-4| I125: Setting destination path for vmnet to "/lib/modules/4.9.0-kali1-amd64/misc/vmnet.ko".
    2017-02-17T01:19:23.688+02:00| vthread-4| I125: Extracting the vmnet source from "/usr/lib/vmware/modules/source/vmnet.tar".
    2017-02-17T01:19:23.692+02:00| vthread-4| I125: Successfully extracted the vmnet source.
    2017-02-17T01:19:23.692+02:00| vthread-4| I125: Building module with command "/usr/bin/make -j8 -C /tmp/modconfig-EeQ71K/vmnet-only auto-build HEADER_DIR=/lib/modules/4.9.0-kali1-amd64/build/include CC=/usr/bin$
    2017-02-17T01:19:25.164+02:00| vthread-4| W115: Failed to build vmnet. Failed to execute the build command.
    
    
    CREDIT FOR MAKING THIS SCRIPT POSSIBLE GOES TO:
    Robert Gadsdon (for the method)
    bobdtc (for the depmod part at the end)
    *************************************************** /
    now fixed
    Attached Files Attached Files

  8. #8
    Join Date
    May 2010
    Posts
    76
    I used the second answer at https://ask.fedoraproject.org/en/que...-on-kernel-47/

    Sent from my SM-G930R4 using Tapatalk

Similar Threads

  1. VMware Workstation 12 vmblock module build error on Fedora 23
    By erutndl in forum Installation, Upgrades and Live Media
    Replies: 2
    Last Post: 17th August 2016, 05:19 PM
  2. Fedora 14 installation error on VMWare
    By peduardo in forum Installation, Upgrades and Live Media
    Replies: 2
    Last Post: 18th August 2011, 06:06 PM
  3. Error while trying to install Vmware Tools - Fedora 11
    By wereolf07 in forum Installation, Upgrades and Live Media
    Replies: 1
    Last Post: 22nd October 2009, 10:51 PM
  4. Fedora 10 + VMware + No Screens Found Error
    By khandu in forum Installation, Upgrades and Live Media
    Replies: 2
    Last Post: 19th February 2009, 01:55 AM
  5. [Q] vmware error when running vmware-config.pl
    By pdk001 in forum Using Fedora
    Replies: 0
    Last Post: 2nd April 2005, 03:25 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •